import { renderless, api } from '@opentinyvue/vue-renderless/tabbar-item/vue';
import { defineComponent, $prefix, $props, setup } from '@opentinyvue/vue-common';

function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  var hook;
  if (injectStyles) {
    hook = injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

function _extends() {
  return _extends = Object.assign ? Object.assign.bind() : function(n) {
    for (var e = 1; e < arguments.length; e++) {
      var t = arguments[e];
      for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]);
    }
    return n;
  }, _extends.apply(null, arguments);
}
var __vue2_script = defineComponent({
  name: $prefix + "TabbarItem",
  componentName: "TinyTabbarItem",
  props: _extends({}, $props, {
    url: String,
    replace: Boolean,
    to: [String, Object],
    dot: Boolean,
    icon: Object,
    name: [Number, String],
    info: [Number, String],
    badge: [Number, String]
  }),
  setup: function setup$1(props, context) {
    return setup({
      props,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    staticClass: "tiny-mobile-tabbar-item",
    class: {
      "is-active": _vm.state.renderActive
    },
    style: {
      color: _vm.state.renderColor
    },
    on: {
      "click": _vm.onClick
    }
  }, [_c("div", {
    staticClass: "tiny-mobile-tabbar-item__icon"
  }, [_vm._t("icon", function() {
    return [_c(_vm.icon, {
      tag: "component",
      style: {
        fill: _vm.state.renderColor
      }
    })];
  }, {
    "active": _vm.state.renderActive
  }), _vm.badge || _vm.dot ? _c("div", {
    class: ["tiny-mobile-info", _vm.dot ? "tiny-mobile-info--dot" : ""]
  }, [_vm._v(" " + _vm._s(_vm.state.info) + " ")]) : _vm._e()], 2), _c("div", {
    staticClass: "tiny-mobile-tabbar-item__text",
    style: {
      color: _vm.state.renderColor,
      "pointerEvents": "none"
    }
  }, [_vm._t("default")], 2)]);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var mobile = /* @__PURE__ */ function() {
  return __component__.exports;
}();

export { mobile as default };
